Metrics Configurations - Get

Get metrics configuration of the provided cluster.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/clusters/{clusterName}/metricsConfigurations/{metricsConfigurationName}?api-version=2026-07-01

URI Parameters

Name In Required Type Description
clusterName
path True

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9-_]{0,28}[a-zA-Z0-9])$

The name of the cluster.

metricsConfigurationName
path True

string

pattern: ^default$

The name of the metrics configuration for the cluster.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ClusterMetricsConfiguration

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get metrics configuration of cluster

Sample request

GET https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusters/clusterName/metricsConfigurations/default?api-version=2026-07-01

Sample response

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/clusters/clusterName/metricsConfigurations/default",
  "location": "location",
  "name": "default",
  "properties": {
    "collectionInterval": 15,
    "detailedStatus": "Applied",
    "detailedStatusMessage": "Metrics configuration has been successfully applied to all resources.",
    "disabledMetrics": [
      "metric3",
      "metric4"
    ],
    "enabledMetrics": [
      "metric1",
      "metric2"
    ],
    "provisioningState": "Succeeded"
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/clusters/metricsConfigurations"
}

Definitions

Name Description
Azure.ResourceManager.CommonTypes.ExtendedLocation

The complex type of the extended location.

ClusterMetricsConfiguration

ClusterMetricsConfiguration represents the metrics configuration of an on-premises Network Cloud cluster.

ClusterMetricsConfigurationDetailedStatus

The more detailed status of the metrics configuration.

ClusterMetricsConfigurationProvisioningState

The provisioning state of the metrics configuration.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocationType

The type of the extended location.

systemData

Metadata pertaining to creation and last modification of the resource.

Azure.ResourceManager.CommonTypes.ExtendedLocation

The complex type of the extended location.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationType

The type of the extended location.

ClusterMetricsConfiguration

ClusterMetricsConfiguration represents the metrics configuration of an on-premises Network Cloud cluster.

Name Type Description
etag

string

"If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")

extendedLocation

Azure.ResourceManager.CommonTypes.ExtendedLocation

The extended location of the resource. This property is required when creating the resource.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.collectionInterval

integer (int64)

minimum: 1
maximum: 1440

The interval in minutes by which metrics will be collected.

properties.detailedStatus

ClusterMetricsConfigurationDetailedStatus

The more detailed status of the metrics configuration.

properties.detailedStatusMessage

string

The descriptive message about the current detailed status.

properties.disabledMetrics

string[]

The list of metrics that are available for the cluster but disabled at the moment.

properties.enabledMetrics

string[]

The list of metric names that have been chosen to be enabled in addition to the core set of enabled metrics.

properties.provisioningState

ClusterMetricsConfigurationProvisioningState

The provisioning state of the metrics configuration.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ClusterMetricsConfigurationDetailedStatus

The more detailed status of the metrics configuration.

Value Description
Processing

The Processing status.

Applied

The Applied status.

Error

The Error status.

ClusterMetricsConfigurationProvisioningState

The provisioning state of the metrics configuration.

Value Description
Succeeded

The Succeeded status.

Failed

The Failed status.

Canceled

The Canceled status.

Accepted

The Accepted status.

Provisioning

The Provisioning status.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocationType

The type of the extended location.

Value Description
EdgeZone

Azure Edge Zones location type

CustomLocation

Azure Custom Locations type

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.